memorandums

日々の作業ログです。

プロジェクト・ファセット Java バージョン 6.0 はサポートされません。

windowseclipseで作成した動的Webプロジェクトをmac(osx10.5.5)のeclipseにインポートすると表記のエラーがでました。

windowsjdkは6が標準でosxでは5.0が標準なのでエラーが出ていることはわかったのですがどう操作すればいいのか解決に時間を要しました。

以下、備忘録のためメモです。

osxeclipseを立ち上げ、パッケージエクスプローラ内でwiddowsからインポートしたプロジェクト名(トップ)を右クリックし、メニュー最下のプロパティーを選択します。

左のメニューから「プロジェクト・ファセット」をクリックします。確かにJavaバージョンが6.0になっています。これではosxコンパイルできません。

上記のウィンドウ内のJavaバージョン「6.0」を左クリックします。するとプルダウンメニューが表示され、osxにインストール済みの他のバージョン番号が表示されます。

ここでは5.0を選びました。そしてOKボタンを押せばエラーは無くなり、コンパイル&サーバー実行が可能となります。